Holger's Java API

## com.antelmann.math
Class JDataMatrixView.Cell

    java.lang.Object
      com.antelmann.math.JDataMatrixView.Cell

All Implemented Interfaces:
  ValueRetriever<Number>

Enclosing class:
  JDataMatrixView

    public static class JDataMatrixView.Cell

extends Object
implements ValueRetriever<Number>

used as the table cell value within the embedding component

Field Summary
`Object` `editValue`

Constructor Summary
`JDataMatrixView.Cell(JDataMatrixView view, Object[] path)`

Method Summary
`Object[]` `getPath()`
`Number` `getRelevantValue()` returns the relevant value for this instance at the time of calling
`JDataMatrixView` `getView()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### editValue

    public Object editValue

Constructor Detail

### JDataMatrixView.Cell

    public JDataMatrixView.Cell(JDataMatrixView view,
                                Object[] path)

Method Detail

### getView

    public JDataMatrixView getView()

### getPath

    public Object[] getPath()

### getRelevantValue

    public Number getRelevantValue()

  Description copied from interface: `ValueRetriever`
  returns the relevant value for this instance at the time of calling

  Specified by:
    `getRelevantValue` in interface `ValueRetriever<Number>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads